set nocompatible
set lazyredraw
set number
set relativenumber
set autoindent 
syntax on
set hlsearch
set incsearch
set textwidth=79
set colorcolumn=+2
nnoremap <F3> :set hlsearch!<CR>
let g:vimtex_view_method = 'zathura'
let g:table_mode_corner='|'
let g:grammalecte_cli_py='/usr/bin/grammalecte-cli.py'
if filereadable(expand("~/.vimrc_background"))
	if &t_Co >= 256
		let base16colorspace=256
		source ~/.vimrc_background
		hi Normal guibg=NONE ctermbg=NONE
	elseif has("gui_running")
		source ~/.vimrc_background
		"set guifont=xos4\ Terminus
		set guifont=IBM\ Plex\ Mono\ 10
	else
		colorscheme default
	endif
endif
"nnoremap j jzz
"nnoremap k kzz
"nnoremap <Down> jzz
"nnoremap <Up> kzz
"set scrolloff=999
let g:livepreview_previewer = 'zathura'
let g:livepreview_engine = 'pdflatex' . ' -interaction=nonstopmode --shell-escape'
cmap w!! w !sudo tee > /dev/null %
"set tabstop=8 softtabstop=8 shiftwidth=8 noexpandtab 
